SimpleBuilders.PartitionUpdateBuilder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class SimpleBuilders.PartitionUpdateBuilder

- java.lang.Object
- - org.apache.cassandra.db.SimpleBuilders.PartitionUpdateBuilder

- All Implemented Interfaces:
    PartitionUpdate.SimpleBuilder
  Enclosing class:
    SimpleBuilders

      public static class SimpleBuilders.PartitionUpdateBuilder
      extends java.lang.Object
      implements PartitionUpdate.SimpleBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.partitions.PartitionUpdate.SimpleBuilder

      `PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionUpdateBuilder(CFMetaData metadata, java.lang.Object... partitionKeyValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` | `addRangeTombstone()` Adds a new range tombstone to this update, returning a builder for that range.
    `PartitionUpdate` | `build()` Build the update represented by this builder.
    `Mutation` | `buildAsMutation()` As shortcut for `new Mutation(build())`.
    `PartitionUpdate.SimpleBuilder` | `delete()` Deletes the partition identified by this builder (using a partition level deletion).
    `CFMetaData` | `metadata()` The metadata of the table this is a builder on.
    `Row.SimpleBuilder` | `row(java.lang.Object... clusteringValues)` Adds the row identifier by the provided clustering and return a builder for that row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.partitions.PartitionUpdate.SimpleBuilder

      `nowInSec, timestamp, ttl`

- - ### Constructor Detail

    - #### PartitionUpdateBuilder

          public PartitionUpdateBuilder(CFMetaData metadata,
                                        java.lang.Object... partitionKeyValues)

  - ### Method Detail

    - #### metadata

          public CFMetaData metadata()

      Description copied from interface: `PartitionUpdate.SimpleBuilder`
      The metadata of the table this is a builder on.
      Specified by:
        `metadata` in interface `PartitionUpdate.SimpleBuilder`

    - #### row

          public Row.SimpleBuilder row(java.lang.Object... clusteringValues)

      Description copied from interface: `PartitionUpdate.SimpleBuilder`
      Adds the row identifier by the provided clustering and return a builder for that row.
      Specified by:
        `row` in interface `PartitionUpdate.SimpleBuilder`
      Parameters:
        `clusteringValues` - the value for the clustering columns of the row to add to this build. There may be no values if either the table has no clustering column, or if you want to edit the static row. Note that as a shortcut it is also allowed to pass a `Clustering` object directly, in which case that should be the only argument.
      Returns:
        a builder for the row identified by `clusteringValues`.

    - #### delete

          public PartitionUpdate.SimpleBuilder delete()

      Description copied from interface: `PartitionUpdate.SimpleBuilder`
      Deletes the partition identified by this builder (using a partition level deletion).
      Specified by:
        `delete` in interface `PartitionUpdate.SimpleBuilder`
      Returns:
        this builder.

    - #### addRangeTombstone

          public PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder addRangeTombstone()

      Description copied from interface: `PartitionUpdate.SimpleBuilder`
      Adds a new range tombstone to this update, returning a builder for that range.
      Specified by:
        `addRangeTombstone` in interface `PartitionUpdate.SimpleBuilder`
      Returns:
        the range tombstone builder for the newly added range.

    - #### build

          public PartitionUpdate build()

      Description copied from interface: `PartitionUpdate.SimpleBuilder`
      Build the update represented by this builder.
      Specified by:
        `build` in interface `PartitionUpdate.SimpleBuilder`
      Returns:
        the built update.

    - #### buildAsMutation

          public Mutation buildAsMutation()

      Description copied from interface: `PartitionUpdate.SimpleBuilder`
      As shortcut for `new Mutation(build())`.
      Specified by:
        `buildAsMutation` in interface `PartitionUpdate.SimpleBuilder`
      Returns:
        the built update, wrapped in a `Mutation`.

Copyright © 2018 The Apache Software Foundation